CON 
  _clkmode = xtal1 + pll16x 
  _xinfreq = 5_000_000

  S0 = 0
  S1 = 1
  OUT = 2
  LED = 3
  S2 = 4
  S3 = 5

  pRED = 13
  pGREEN = 12
  pBLUE = 11

OBJ

  LCD: "JawsLCD.spin"
  BASIC: "JawsBASIC.spin"

VAR

long RED
long GREEN
long BLUE

long counter

PUB Main

  LCD.start(9,1,0)

  init

  repeat
    read
    BASIC.sleep(1)


PUB init

  BASIC.high(S0)
  BASIC.high(S1)

  BASIC.high(LED)

PUB read

  BASIC.low(S2)                 'Red section
  BASIC.low(S3)
  BASIC.count(OUT, pRED, RED)
  
  BASIC.high(S3)
  BASIC.count(OUT, pBLUE, BLUE)    'Blue section

  BASIC.high(S2)
  BASIC.count(OUT, pGREEN, GREEN)    'Green section

  LCD.CLS

  LCD.str(string("Red: "))
  LCD.dec(RED)
  LCD.CR

  LCD.str(string("Green: "))
  LCD.dec(GREEN)
  LCD.CR

  LCD.str(string("Blue: "))
  LCD.dec(BLUE) 
